Subject: Re: [nvo3] [Bier] New Version Notification for draft-wang-bier-lite-ospf-extension-01.txt

From: Xuxiaohu <[email-masked]>
Date: Wed, 21 Oct 2015 01:59:25 +0000

Hi Linda,

Thanks for proposing this draft.

I think it’s worthwhile for the WG to consider the possibility of deploying BIER in non-MPLS networks (e.g., a data center network where VXLAN/NVGRE is deployed). IMHO, one major reason for those DC operators, especially non-SP DC operators to prefer VXLAN/NVGRE to MPLS-in-UDP/MPLS-in-GRE in their data center networks is that they are unfamiliar with MPLS or dislike MPLS instinctively. Honestly speaking, I couldn’t think of any technical advantage of using VXLAN/NVGRE instead of MPLS-in-UDP/MPLS-in-GRE, especially in the hybrid cloud scenario where it’s much necessary to interconnect the DC VPN with the WAN VPN (i.e., MPLS-based VPN) in a scalable way (i.e., by using inter-AS option B). When deploying BIER in the above networks, those DC operators are familiar with MPLS and advocate MPLS all of a sudden. Doesn’t it sound strange?

Best regards,
Xiaohu

From: BIER [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, October 21, 2015 8:48 AM
To: [email-masked]
Subject: Re: [Bier] New Version Notification for draft-wang-bier-lite-ospf-extension-01.txt

Dear all,

 A new draft about how to extend IGP protocol to implement BIER in non-MPLS network is proposed, which is also named as BIER-Lite in this draft.
  Wish you can pay attention to this draft and any comments are welcome:)
 http://tools.ietf.org/id/draft-wang-bier-lite-ospf-extension-01.txt

Best Wishes,
Linda Wang

[email-masked]<mailto:[email-masked]> 写于 2015/10/16 16:29:32:

> [email-masked]<mailto:[email-masked]>
> 2015/10/16 16:29
>
> 收件人
>
> "Cui Wang" <[email-masked]<mailto:[email-masked]>>, "Cui Wang"
> <[email-masked]<mailto:[email-masked]>>, "Zheng Zhang" <[email-masked]<mailto:[email-masked]>>,
> "Zheng Zhang" <[email-masked]<mailto:[email-masked]>>,
>
> 抄送
>
> 主题
>
> New Version Notification for draft-wang-bier-lite-ospf-extension-01.txt
>
>
> A new version of I-D, draft-wang-bier-lite-ospf-extension-01.txt
> has been successfully submitted by Cui Wang and posted to the
> IETF repository.
>
> Name:      draft-wang-bier-lite-ospf-extension
> Revision:   01
> Title:      OSPF Extension for BIER-Lite
> Document date:   2015-10-16
> Group:      Individual Submission
> Pages:      13
> URL:            https://www.ietf.org/internet-drafts/draft-wang-
> bier-lite-ospf-extension-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-wang-bier-
> lite-ospf-extension/
> Htmlized:       https://tools.ietf.org/html/draft-wang-bier-lite-
> ospf-extension-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-wang-bier-
> lite-ospf-extension-01
>
> Abstract:
>    Bit Index Explicit Replication (BIER) [I-D.ietf-bier-architecture] is
>    an architecture that provides optimal multicast forwarding through a
>    "BIER domain" without requiring intermediate routers to maintain any
>    multicast related per-flow state.  BIER also does not require any
>    explicit tree-building protocol for its operation.  Currently, the
>    data plane of BIER is apt to use BIER-MPLS encapsulation to transmit
>    multicast traffic.  However, this document tries to propose a
>    solution name BIER-Lite about how to extend OSPF protocol to support
>    BIER forwarding in non-MPLS underlay network instead of MPLS underlay
>    network.
>
>
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>